package com.example.fragmentsample2;
///init

import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentTransaction;

import android.os.Bundle;
import android.view.View;

public class MainActivity extends AppCompatActivity {
    private int isShow = View.VISIBLE;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Fragment fragA = new Fragment2a();
        Fragment fragB = new Fragment2b();
        FragmentTransaction transaction = getSupportFragmentManager().beginTransaction();
        transaction.add(R.id.fragment_2a, fragA);
        transaction.add(R.id.fragment_2b, fragB);
        transaction.commit();

        findViewById(R.id.button).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                View fragA = findViewById(R.id.fragment_2a);
                View fragB = findViewById(R.id.fragment_2b);
                if (isShow == View.VISIBLE) {
                    isShow = View.INVISIBLE;
                } else {
                    isShow = View.VISIBLE;
                }
                fragA.setVisibility(isShow);
                fragB.setVisibility(isShow);

            }
        });
//
        Logger.d();
    }

    public void onClickButtonA(View view) {
        View fragA = findViewById(R.id.fragment_2a);
        View fragB = findViewById(R.id.fragment_2b);
        fragA.setVisibility(View.INVISIBLE);
        fragB.setVisibility(View.VISIBLE);
    }

    public void onClickButtonB(View view) {
        View fragA = findViewById(R.id.fragment_2a);
        View fragB = findViewById(R.id.fragment_2b);
        fragA.setVisibility(View.VISIBLE);
        fragB.setVisibility(View.INVISIBLE);

    }

}
//}